<template>
  <div v-bind:class="{ open: open }" class="notific-box">
    <h3>Notifications</h3>
    <div v-for="(notific, index) in notifications" :key="index" class="notific-single">
      <img src="images/icons/convo.svg" alt="">
      <p>
        {{notific.description}}
      </p>
    </div>
  </div>
</template>

<script>
import { mapGetters } from 'vuex';

export default {
  props: {
    open: {
      type: Boolean
    },
  },
  async fetch({ store }) {
    await store.dispatch('notifications/getItems');
  },
  data() {
    return { }
  },
  computed: {
    ...mapGetters({
      notifications: 'notifications/items'
    }),
  }
}
</script>
